Subject: Re: [Isis-wg] How to handle multiple overlapping SRGB ranges

From: Pushpasis Sarkar <[email-masked]>
Date: Thu, 25 Jun 2015 13:47:23 +0000

Hi Stefano,

On 6/25/15, 7:07 PM, "Isis-wg on behalf of Stefano Previdi (sprevidi)"
<[email-masked] on behalf of [email-masked]> wrote:

>All,
>
>there's an open question that requires the wg to agree
>
>The issue here is related to SRGB ranges advertised within the
>SR-Cap SubTLV.
>
>The question is: what a receiving router should do when
>receiving SRGB ranges that overlaps ?
>
>Knowing that the spec mandates a single SR-Cap SubTLV, the
>overlap may happen only within the same SR-Cap subTLV and
>therefore it is clearly a local misconfiguration or an
>implementation bug in the router originating the SR-Cap.
>
>Personally, I would recommend to ignore the whole SRGB (not
>only the overlapping ranges) from the faulty router. Ignoring
>only the overlapping ranges would not work since the whole
>index space is affected anyway.
[Pushpasis] I would agree with you on this. A receiving router receiving
such SR-Cap SubTLV should ignore the total SR-Cap SubTLV and consider the
originating as SR-incapable. Mandating this behavior should remove all
forms of ambiguity and keep implementation simple. I would also like the
receiving router to generate some kind of error message notifying the
receipt of such SR-Cap Sub-TLV. But I would leave it as a implementation
choice.

Thanks
-Pushpasis

>
>There are different opinions on how the receiving router should
>behave. Ideally, we should converge towards a single solution so
>feel free to comment.
>
>Thanks.
>s.
>
>_______________________________________________
>Isis-wg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/isis-wg